GNU bug report logs - #37739
System install issue: 'You have a memory leak'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: "Seswu M. Fafnan" <hadaqada@HIDDEN>; dated Sun, 13 Oct 2019 19:06:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 37739 <at> debbugs.gnu.org:


Received: (at 37739) by debbugs.gnu.org; 14 Oct 2019 19:41:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 14 15:41:42 2019
Received: from localhost ([127.0.0.1]:41751 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iK6Dq-000778-JI
	for submit <at> debbugs.gnu.org; Mon, 14 Oct 2019 15:41:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33328)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hadaqada@HIDDEN>) id 1iK6Do-00076u-LM
 for 37739 <at> debbugs.gnu.org; Mon, 14 Oct 2019 15:41:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59855)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <hadaqada@HIDDEN>) id 1iK6Dj-0000zM-EE
 for 37739 <at> debbugs.gnu.org; Mon, 14 Oct 2019 15:41:31 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=36376 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <hadaqada@HIDDEN>) id 1iK6Di-0006eO-SL
 for 37739 <at> debbugs.gnu.org; Mon, 14 Oct 2019 15:41:31 -0400
Resent-To: 37739 <at> debbugs.gnu.org
Resent-From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Resent-Date: Mon, 14 Oct 2019 21:41:29 +0200
Resent-Message-ID: <87a7a3p11y.fsf@HIDDEN>
Received: from solo.fdn.fr ([unix socket])
 by solo (Cyrus 2.5.10-Debian-2.5.10-3.2) with LMTPA;
 Mon, 14 Oct 2019 09:43:38 +0200
X-Sieve: CMU Sieve 2.4
Received: by solo.fdn.fr (Postfix)
 id BAFBBD0BD8; Mon, 14 Oct 2019 09:43:38 +0200 (CEST)
Received: from eggs.gnu.org (eggs.gnu.org [IPv6:2001:470:142:3::10])
 (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (Client did not present a certificate)
 by solo.fdn.fr (Postfix) with ESMTPS id 998BCD0BC9
 for <ludovic.courtes@HIDDEN>; Mon, 14 Oct 2019 09:43:38 +0200 (CEST)
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48168)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <hadaqada@HIDDEN>) id 1iJv0z-0005R7-1f
 for ludovic.courtes@HIDDEN; Mon, 14 Oct 2019 03:43:37 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45909)
 by fencepost.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <hadaqada@HIDDEN>) id 1iJv0y-0005NF-MR
 for ludo@HIDDEN; Mon, 14 Oct 2019 03:43:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <hadaqada@HIDDEN>) id 1iJv0x-0005Pi-FZ
 for ludo@HIDDEN; Mon, 14 Oct 2019 03:43:36 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from mail-ed1-x536.google.com ([2a00:1450:4864:20::536]:44353)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <hadaqada@HIDDEN>) id 1iJv0x-0005Oy-6o
 for ludo@HIDDEN; Mon, 14 Oct 2019 03:43:35 -0400
Received: by mail-ed1-x536.google.com with SMTP id r16so13883569edq.11
 for <ludo@HIDDEN>; Mon, 14 Oct 2019 00:43:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:from:to:subject:message-id:in-reply-to:references:mime-version
 :content-transfer-encoding;
 bh=daIa06lE+GEzv1OdDyQ4OT/3cvBTTCJ8s7WCm5MoTfk=;
 b=qCGGImojMUU54O8n4gbhqsuoRGcRqqoCyKQI5/scETlN2Djh5PtXtzJB9Lo/dSBtcB
 J52epONIOjNVQHJ0x0WflMsTkjy8Jx5vbRf3cgKINarJU4zucfB9IS/p1t5HS3WBazNy
 wjYuq86acIShZGEF+mOoQTbTbRbIeoXf/vBBCYG1Rav7cC94bP6VOAslIAuM4kt6t4ug
 SQTOJUaKujN/h21KnAfKJHpjUo+0NFVR6KZOVzxbW584T+8nJA4v8u/K5f0qmdyHITur
 AsEibtK4q3+P65yKKpStcig9sl0LwtY1g8ssAs+zV8apSgWG8QdSWzNKSoFxyGXEf1E+
 MILA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:subject:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=daIa06lE+GEzv1OdDyQ4OT/3cvBTTCJ8s7WCm5MoTfk=;
 b=kp62u43S+F+H1+7vAut+CxhgTzuYTKPdKnKSaR5+KM8dsjV28aUepcFtBJCdppoClA
 EOmDJ+odN4lxxipXn5FKgX39SbkVkX5UcDXgXh2fyqPCovksmgZBVC+bRkzpWcEfp4YC
 r5Y6zkaHXhGYzHAsnl7NK/MdrQRi1NtQYE9B+PCRRB+ZOqxmvQIAgZqXzGtCyAxO7wbI
 CR0yOWy+Kw5XMGiRw2QJCWyCPqg6VZ6JSOn5PpvDusMsCqy5E85KqRR//DBIRbZLY8d9
 vwUZrb1+QwWzSlkskJKm2KKDMCHsMNPaPEVsBjgBNu4/VMKtlBNTOQkIXdjuyIaqyEH4
 vXDA==
X-Gm-Message-State: APjAAAUs9DvW+jAEbWSR6KP9IhYw7DRkwXW+WDssd/LNV4/tc9XM1Srp
 vqOLOHRrfn+7KTI0POgSwK9lTt8=
X-Google-Smtp-Source: APXvYqyUyuz4rBKDrFFVHoXrs54aqRoA2WS6tdBLx2gtyfnSJpfXa4IcfbFD6+3Crq7HopHgTZZIqw==
X-Received: by 2002:aa7:d2cf:: with SMTP id k15mr25132858edr.208.1571039013807; 
 Mon, 14 Oct 2019 00:43:33 -0700 (PDT)
Received: from swarm.nutritious.org ([188.120.80.30])
 by smtp.gmail.com with ESMTPSA id f36sm3027700ede.28.2019.10.14.00.43.32
 for <ludo@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 14 Oct 2019 00:43:33 -0700 (PDT)
Date: Mon, 14 Oct 2019 09:43:32 +0200
From: "Seswu M. Fafnan" <hadaqada@HIDDEN>
To: Ludovic =?UTF-8?B?Q291cnTDqHM=?= <ludo@HIDDEN>
Subject: Re: bug#37739: System install issue: 'You have a memory leak'
Message-Id: <20191014094332.2a801c90db91a84c4ab03047@HIDDEN>
In-Reply-To: <87imos8j9i.fsf@HIDDEN>
References: <20191013194816.d5627ec140af0685d103c786@HIDDEN>
 <87imos8j9i.fsf@HIDDEN>
X-Mailer: Sylpheed 3.5.1 (GTK+ 2.24.31; x86_64-pc-linux-gnu)
Mime-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::536
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 37739
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hello Ludovic :)

Thank you for responding.
Late in the evening, with help from leoprikler at irc #guix, a workaround was found; going manual, which had until then been too overwhelming for me to face.
I just wrote a bit on that as extra information to the bug report, but will quote it below also.

Reproduction is to use the graphical installer; from the beginning:
English, Denmark, Graphical installer;
Europe, Copenhagen, Danish, Danish (no dead keys)
Guided - entire disk with encryption
ATA scsi (choosing my harddisk)
Everything is one partition

Resulting partitioning scheme looked like:
/dev/sda
	/boot/efi
		576MB fat32
		boot,esp
	/
		1000GB ext4
		cryptroot

I did not encounter the same problem doing the population manually.
The output from the manual command and from the graphical install is not the same, so I can't really compare what happened blow-by-blow.
I tried the graphical approach thrice, getting the issue, then following advice did the manual command - actually in an attempt to secure the screen output - and it worked the first time I did it.

I hope that this helped in determining the source of the problem :]

Kind regards,
  Uffe

---------------------------------------
With the help of #guix, a workaround was found;
A manual continuation of the install succeeded where the graphical install did not.
'guix system init /mnt/etc/config.scm /mnt' resulted in successful population of /mnt, and in what seems to me to be a functioning system.
---------------------------------------

On Sun, 13 Oct 2019 22:47:53 +0200
Ludovic Courtès <ludo@HIDDEN> wrote:

> Hi Seswu,
> 
> "Seswu M. Fafnan" <hadaqada@HIDDEN> skribis:
> 
> > I'm trying to install the full guix system on a pc but there's a problem.
> >
> > When "populating '/mnt'", it bails with an error and claims:
> > 'You have a memory leak (not released memory pool)'
> 
> I’ve never seen this message before, but looking at the intertubes, it
> may be a bug in GRUB related to encryption:
> 
>   https://github.com/NixOS/nixpkgs/issues/21830
> 
> Could you explain how to reproduce the issue?  In particular, what
> partitioning scheme and encryption setup did you choose?
> 
> Thanks in advance,
> Ludo’.


-- 
Seswu M. Fafnan <hadaqada@HIDDEN>




Information forwarded to bug-guix@HIDDEN:
bug#37739; Package guix. Full text available.

Message received at 37739 <at> debbugs.gnu.org:


Received: (at 37739) by debbugs.gnu.org; 14 Oct 2019 08:01:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 14 04:01:18 2019
Received: from localhost ([127.0.0.1]:38039 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJvI5-0002fz-PW
	for submit <at> debbugs.gnu.org; Mon, 14 Oct 2019 04:01:18 -0400
Received: from mail-ed1-f51.google.com ([209.85.208.51]:41943)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hadaqada@HIDDEN>) id 1iJubj-0004RM-KX
 for 37739 <at> debbugs.gnu.org; Mon, 14 Oct 2019 03:17:32 -0400
Received: by mail-ed1-f51.google.com with SMTP id f20so13842260edv.8
 for <37739 <at> debbugs.gnu.org>; Mon, 14 Oct 2019 00:17:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:from:to:subject:message-id:in-reply-to:references:mime-version
 :content-transfer-encoding;
 bh=7ZoDQetYvijrdUERYZGFnMxpep+kEJQfsxq9IXVwiAY=;
 b=B++E72vUa2CvFH1pPLp3L+IUoKobvA+LK6Xm2x8AlKSZAGqSsj88ZqqR+D69wuDhpC
 kEFTldByhVkM6m1csT87fm15uDahfnUncZC01eONw25UiMcMEZo8ml05dC7ucGdX0sb5
 sKYQdL+qguZ5FzkEM3XwOx6xq0ZxEYQVALSgD3BgDM2kYec2iHz2c01TFb2J8QvH/xq+
 CbIayin6m20fK3ivmUm3eS6cC5iePINDvOsltLdU73j4JA+ln1zyRgkhTth0sVGVSetZ
 banyt4OmEBnSWNs9RSl3hU7kNVLz7Q0wr6nS1aVU+qPSCwkH1pYjblhmTsOgItW8p5dj
 Hc7g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:subject:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=7ZoDQetYvijrdUERYZGFnMxpep+kEJQfsxq9IXVwiAY=;
 b=IAtTfrSB8eZQ4pcCD18elkDMjLR50Ov+1SpG+rN5UmfOuK7Al6t0U7NodTwHeUDKhu
 Vf0LtqDjw0CIk7TEu8UK+eUeK/sRxIS67yeBFABcc0/j80VFTL+bRCqAmcKyXOkxOJHK
 w7e7ECZItIEQ2YlVPrfDaQqvwCjaR2+VhnxIy+jIuUPIVAEvq3bDQRqez69OqnW4sO8V
 i9y6qoTb1ejJBmnNeOS+4MixAm1mcPk+bPztVvOwvFpv11U5X32ucoq+lzYE7Jur4ROl
 dWBIpc28wOlzKUeYCsarDpPClCkIVJV4DpNow9Dp1d1ZGFXBURZYGcWnjrzXfdzy15DN
 L83w==
X-Gm-Message-State: APjAAAUdeCiLfJNm3F31CAvr0jDUMbAHJfFrkLtFUw3B4fKpeRIda2fK
 W9qe26pRj6yvXE+tcuLW4g9E8T8=
X-Google-Smtp-Source: APXvYqwlScYcwIFDRiAuEkFkAvN5sIDszwTvkMNf8BpDfhlueC58SMk3ZW/n6+TlyXDdZ3jwDCHARQ==
X-Received: by 2002:a17:906:7094:: with SMTP id
 b20mr27801105ejk.134.1571037445525; 
 Mon, 14 Oct 2019 00:17:25 -0700 (PDT)
Received: from swarm.nutritious.org ([188.120.80.30])
 by smtp.gmail.com with ESMTPSA id b15sm3025903edf.24.2019.10.14.00.17.24
 for <37739 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 14 Oct 2019 00:17:24 -0700 (PDT)
Date: Mon, 14 Oct 2019 09:17:24 +0200
From: "Seswu M. Fafnan" <hadaqada@HIDDEN>
To: 37739 <at> debbugs.gnu.org
Subject: Re: bug#37739: Acknowledgement (System install issue: 'You have a
 memory leak')
Message-Id: <20191014091724.289a2a6e90d11abc0ceda9e6@HIDDEN>
In-Reply-To: <handler.37739.B.15709935495305.ack <at> debbugs.gnu.org>
References: <20191013194816.d5627ec140af0685d103c786@HIDDEN>
 <handler.37739.B.15709935495305.ack <at> debbugs.gnu.org>
X-Mailer: Sylpheed 3.5.1 (GTK+ 2.24.31; x86_64-pc-linux-gnu)
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37739
X-Mailman-Approved-At: Mon, 14 Oct 2019 04:01:16 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

With the help of #guix, a workaround was found;
A manual continuation of the install succeeded where the graphical install did not.
'guix system init /mnt/etc/config.scm /mnt' resulted in successful population of /mnt, and in what seems to me to be a functioning system.





On Sun, 13 Oct 2019 19:06:02 +0000
help-debbugs@HIDDEN (GNU bug Tracking System) wrote:

> 37739 <at> debbugs.gnu.org

-- 
Seswu M. Fafnan <hadaqada@HIDDEN>




Information forwarded to bug-guix@HIDDEN:
bug#37739; Package guix. Full text available.

Message received at 37739 <at> debbugs.gnu.org:


Received: (at 37739) by debbugs.gnu.org; 13 Oct 2019 20:48:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 13 16:48:03 2019
Received: from localhost ([127.0.0.1]:37145 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJkmZ-0003vF-CH
	for submit <at> debbugs.gnu.org; Sun, 13 Oct 2019 16:48:03 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33792)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iJkmW-0003uh-NE
 for 37739 <at> debbugs.gnu.org; Sun, 13 Oct 2019 16:48:01 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37377)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1iJkmR-0004aI-Ho; Sun, 13 Oct 2019 16:47:55 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=37686 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1iJkmQ-00069k-Sr; Sun, 13 Oct 2019 16:47:55 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Seswu M. Fafnan" <hadaqada@HIDDEN>
Subject: Re: bug#37739: System install issue: 'You have a memory leak'
References: <20191013194816.d5627ec140af0685d103c786@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 22 =?utf-8?Q?Vend=C3=A9miaire?= an 228 de la
 =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 13 Oct 2019 22:47:53 +0200
In-Reply-To: <20191013194816.d5627ec140af0685d103c786@HIDDEN> (Seswu
 M. Fafnan's message of "Sun, 13 Oct 2019 19:48:16 +0200")
Message-ID: <87imos8j9i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37739
Cc: 37739 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Seswu,

"Seswu M. Fafnan" <hadaqada@HIDDEN> skribis:

> I'm trying to install the full guix system on a pc but there's a problem.
>
> When "populating '/mnt'", it bails with an error and claims:
> 'You have a memory leak (not released memory pool)'

I=E2=80=99ve never seen this message before, but looking at the intertubes,=
 it
may be a bug in GRUB related to encryption:

  https://github.com/NixOS/nixpkgs/issues/21830

Could you explain how to reproduce the issue?  In particular, what
partitioning scheme and encryption setup did you choose?

Thanks in advance,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#37739; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Oct 2019 19:05:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 13 15:05:49 2019
Received: from localhost ([127.0.0.1]:37013 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJjBd-0001NV-CC
	for submit <at> debbugs.gnu.org; Sun, 13 Oct 2019 15:05:49 -0400
Received: from lists.gnu.org ([209.51.188.17]:33658)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hadaqada@HIDDEN>) id 1iJhyg-0007tL-C1
 for submit <at> debbugs.gnu.org; Sun, 13 Oct 2019 13:48:22 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51077)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <hadaqada@HIDDEN>) id 1iJhyf-0004gM-1I
 for bug-guix@HIDDEN; Sun, 13 Oct 2019 13:48:21 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <hadaqada@HIDDEN>) id 1iJhyd-0005jq-RW
 for bug-guix@HIDDEN; Sun, 13 Oct 2019 13:48:20 -0400
Received: from mail-ed1-x52d.google.com ([2a00:1450:4864:20::52d]:34132)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <hadaqada@HIDDEN>) id 1iJhyd-0005iG-Ib
 for bug-guix@HIDDEN; Sun, 13 Oct 2019 13:48:19 -0400
Received: by mail-ed1-x52d.google.com with SMTP id j8so1145561eds.1
 for <bug-guix@HIDDEN>; Sun, 13 Oct 2019 10:48:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:from:to:subject:message-id:mime-version;
 bh=/N2Wld5dlWpY90yVqMTvIab7Du8OqYUyKU3lLe2mDv0=;
 b=AQs92nCLwfHaY5NrZ9Y+S2jjHA+8RdrV24jhKXTrN05FFuWk4afUNxlyKmUl/c70m3
 2fZmcTW2aGZpr+ygEQuGCxKlOiAIo61gFHA+SNn3jzvx8l08Lge9QeEQfKCRxnCVnmfM
 lDAXpj7cGkSA9MLZWXlaELXUVch1qCC1tpd3AGTJK/ZSpEpdjoH7HpTk01b8lIBjKRo6
 cuCQoJPyq0PKImbJevpR7Guna/O1D4tt8zKIYXJFQ7zswm5lNLbIo20YEQ1KAKGZ4jqG
 IvoVPYv8xXljlDtoc+nJGRvRhPpVaAiIyFVqeMa5j44utDWRrFWxKyQHSPp8I414ITPt
 Ortw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:subject:message-id:mime-version;
 bh=/N2Wld5dlWpY90yVqMTvIab7Du8OqYUyKU3lLe2mDv0=;
 b=FR/XYrFX0TNMUUHSWTDL8+sD6NMvBQL/DTlsVOfCK8/sddFIGJl9wAiRk5dqkD/Cu/
 qRDld+VkzzIZoEYnmmmbAWJ7w4eOCjvVC3chFitjB3tZCNiw8/TSeMj4EB7DY+VhCbHQ
 RxcqHIGRin2/81PglwqSkzAJQc0ezvsggblrS/y3CFSu+L/WRyCRORHkdpa7+b/0YU8i
 8eyyMzPHIBlpNvgrsOkxqH0WFGH6RiQTNoA0jKzA6BkuIgPFVmeolb48e6y7cNjDisf5
 08fS9QZei9OPRMfFKOuoEneDVBwqrRTOcNZeWSxK0eV70K0XGg+0MkXbtIgRRNT6YqlW
 fW5w==
X-Gm-Message-State: APjAAAXn97wo6xxxy24er0Fo3ssf2YXxGcSbgTA8wHu24DOlykL9F0z0
 e3Ix+bmgVnN1QbQfAmR6hPnWOCo=
X-Google-Smtp-Source: APXvYqyWjPevOSMuDGkPXirEvFk+NkHYByglkj0HJcLubKwEi3Rm0WhuMkqWoFDiggrJ/Xq5qgM8Yg==
X-Received: by 2002:a17:906:1e07:: with SMTP id
 g7mr25453972ejj.256.1570988897963; 
 Sun, 13 Oct 2019 10:48:17 -0700 (PDT)
Received: from swarm.nutritious.org ([188.120.80.30])
 by smtp.gmail.com with ESMTPSA id e52sm2723036eda.36.2019.10.13.10.48.17
 for <bug-guix@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 13 Oct 2019 10:48:17 -0700 (PDT)
Date: Sun, 13 Oct 2019 19:48:16 +0200
From: "Seswu M. Fafnan" <hadaqada@HIDDEN>
To: bug-guix@HIDDEN
Subject: System install issue: 'You have a memory leak'
Message-Id: <20191013194816.d5627ec140af0685d103c786@HIDDEN>
X-Mailer: Sylpheed 3.5.1 (GTK+ 2.24.31; x86_64-pc-linux-gnu)
Mime-Version: 1.0
Content-Type: multipart/mixed;
 boundary="Multipart=_Sun__13_Oct_2019_19_48_16_+0200_8PmYy6ujfnosiIjQ"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::52d
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 13 Oct 2019 15:05:45 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a multi-part message in MIME format.

--Multipart=_Sun__13_Oct_2019_19_48_16_+0200_8PmYy6ujfnosiIjQ
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit

Hello.

I'm trying to install the full guix system on a pc but there's a problem.

When "populating '/mnt'", it bails with an error and claims:
'You have a memory leak (not released memory pool)'

A program named dtree is mentioned as well during what appears to be several attempts at having whatever it is succeed, then the install fails.

I can access other text terminals to read log files, but have not found any log in /var/log that resembles screen output, and did not find any guidance for this on the site/web either.

Output from inxi on system attached. I am not aware of any problems with the physical memory on this machine.

Install was 'normal' through usb stick, graphical install, english system, danish localization, full harddisk used, encrypted, with suggested layout.
There is no config.scm in /etc.

Kind regards,
  Uffe

--Multipart=_Sun__13_Oct_2019_19_48_16_+0200_8PmYy6ujfnosiIjQ
Content-Type: application/octet-stream;
 name="inx.out"
Content-Disposition: attachment;
 filename="inx.out"
Content-Transfer-Encoding: base64

U3lzdGVtOgogIEhvc3Q6IGdudSBLZXJuZWw6IDUuMS4yLWdudSB4ODZfNjQgYml0czogNjQgQ29u
c29sZTogTi9BIERpc3RybzogdW5rbm93biAKTWFjaGluZToKICBUeXBlOiBEZXNrdG9wIE1vYm86
IE1FRElPTiBtb2RlbDogQlRERC1MVCB2OiAxLjAKICBVRUZJOiBBbWVyaWNhbiBNZWdhdHJlbmRz
IHY6IEJUTFRXMDguMTA2IGRhdGU6IDA1LzIyLzIwMTQgCkNQVToKICBUb3BvbG9neTogUXVhZCBD
b3JlIG1vZGVsOiBJbnRlbCBDZWxlcm9uIEoxOTAwIGJpdHM6IDY0IHR5cGU6IE1DUCAKICBMMiBj
YWNoZTogMTAyNCBLaUIgCiAgU3BlZWQ6IDEzMzMgTUh6IG1pbi9tYXg6IDEzMzMvMjQxNiBNSHog
Q29yZSBzcGVlZHMgKE1Ieik6IDE6IDEzMzMgMjogMTM0MCAKICAzOiAyNDE2IDQ6IDI0MTYgCkdy
YXBoaWNzOgogIERldmljZS0xOiBJbnRlbCBBdG9tIFByb2Nlc3NvciBaMzZ4eHgvWjM3eHh4IFNl
cmllcyBHcmFwaGljcyAmIERpc3BsYXkgCiAgZHJpdmVyOiBpOTE1IHY6IGtlcm5lbCAKICBEaXNw
bGF5OiBzZXJ2ZXI6IE5vIGRpc3BsYXkgc2VydmVyIGRhdGEgZm91bmQuIEhlYWRsZXNzIG1hY2hp
bmU/IHR0eTogTi9BIAogIE1lc3NhZ2U6IEFkdmFuY2VkIGdyYXBoaWNzIGRhdGEgdW5hdmFpbGFi
bGUgaW4gY29uc29sZSBmb3Igcm9vdC4gCkF1ZGlvOgogIERldmljZS0xOiBJbnRlbCBBdG9tIFBy
b2Nlc3NvciBaMzZ4eHgvWjM3eHh4IFNlcmllcyBIaWdoIERlZmluaXRpb24gQXVkaW8gCiAgZHJp
dmVyOiBzbmRfaGRhX2ludGVsIAogIFNvdW5kIFNlcnZlcjogQUxTQSB2OiBrNS4xLjItZ251IApO
ZXR3b3JrOgogIERldmljZS0xOiBSZWFsdGVrIFJUTDgxMHhFIFBDSSBFeHByZXNzIEZhc3QgRXRo
ZXJuZXQgZHJpdmVyOiByODE2OSAKICBJRjogZW5wMnMwIHN0YXRlOiB1cCBzcGVlZDogMTAwIE1i
cHMgZHVwbGV4OiBmdWxsCkRyaXZlczoKICBMb2NhbCBTdG9yYWdlOiB0b3RhbDogOTM4Ljk3IEdp
QiB1c2VkOiA1LjM3IEdpQiAoMC42JSkgCiAgSUQtMTogL2Rldi9zZGEgdmVuZG9yOiBUb3NoaWJh
IG1vZGVsOiBEVDAxQUNBMTAwIHNpemU6IDkzMS41MSBHaUIgCiAgSUQtMjogL2Rldi9zZGIgdHlw
ZTogVVNCIHZlbmRvcjogSW50ZW5zbyBtb2RlbDogQWx1IExpbmUgc2l6ZTogNy40NiBHaUIgClNl
bnNvcnM6CiAgU3lzdGVtIFRlbXBlcmF0dXJlczogY3B1OiA0MC4wIEMgbW9ibzogTi9BIAogIEZh
biBTcGVlZHMgKFJQTSk6IE4vQSAKSW5mbzoKICBQcm9jZXNzZXM6IDEwNiBVcHRpbWU6IDFoIDQw
bSBNZW1vcnk6IDMuNzMgR2lCIHVzZWQ6IDYwMS4yIE1pQiAoMTUuNyUpIAogIEluaXQ6IE4vQSBT
aGVsbDogYmFzaCBpbnhpOiAzLjAuMzMgCg==

--Multipart=_Sun__13_Oct_2019_19_48_16_+0200_8PmYy6ujfnosiIjQ--




Acknowledgement sent to "Seswu M. Fafnan" <hadaqada@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#37739; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 14 Oct 2019 19:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.